If you have any of the following devices, Cobham Firmware Version 1.21 should be dowloaded at your earliest convenience (RECOMMENDED MEDIUM PRIORITY):

  • SAILOR 500 FleetBroadband TT-3740A
  • SAILOR 250 FleetBroadband TT-3742A
  • SAILOR 150 FleetBroadband TT-3744A
  • EXPLORER 727 TT-3722A
  • EXPLORER 325 TT-3721A

The new firmware addresses the following issues:

  • On March 24, 2015, Inmarsat is transitioning EMEA broadband services from the I-4 F2 satellite to the more powerful Alphasat satellite.
  • Inmarsat GX to BGAN fallback improvements
  • Geo-fencing for the Sailor FleetOne
  • BUG FIX: Allow multiple PDP contexts on Sailor 150 FleetBroadband terminals
  • BUG FIX: Added support for AT+CSQ command.

Action Needed to Upgrade to Cobham Firmware Version 1.21:

1) Go to the Cobham (previously Thrane & Thrane) downloads page by clicking here and download FBB_E325727_FleetOne_Optus_ ver_121.zip

2) Follow the Installation Instructions, which start on page 4 of the following document: Tech Note_FBB_E325727_FleetOne_Optus_SW_Release_121

Please post any questions you have regarding the Cobham Firmware Version 1.21 upgrade below.

Add Comment

?